<? $DEFINITIONS = Zend_Registry::get('defines') ?>
<? $this->layout()->disableLayout() ?>

<style type="text/css">
	#cont { height: 635px; overflow-y: scroll }
	textarea {overflow-x: hidden; overflow-y: scroll}
</style>

<form class="form-common" action="<?= $this->baseUrl() ?>/reviews/edit" method="post" id="agency">
	<input type="hidden" name="esc_id" value="<?= $this->data->escort_id ?>" />
	<input type="hidden" name="id" value="<?= $this->data->id ?>" />
	<input type="hidden" name="user_id" value="<?= $this->data->user_id ?>" />
	<input type="hidden" name="status" id="r-status" value="<?= $this->data->status ?>" />
	<input type="hidden" name="is_deleted" value="<?= $this->data->is_deleted ?>" />
	
	<div id="cont">
		<div id="general">
			<?php if ($this->data->is_deleted): ?>
				<fieldset class="fleft mr5 mt5 w588 deleted">
                    
					<div class="fs15">This review has been deleted in <strong><?= date('d M, Y', $this->data->deleted_date) ?></strong>.</div>
					<div class="mt5">Reason: <strong><?= $this->data->reason ?></strong></div>
				</fieldset>
			<?php endif; ?>

			<?php if ($this->data->is_suspicious): ?>
				<fieldset class="fleft mr5 mt5 w588 deleted">

					<div class="fs15 red">Suspicious: <strong><?= $DEFINITIONS['review_suspicious_options'][$this->data->is_suspicious] ?></strong></div>
				</fieldset>
			<?php endif; ?>

			<?php if ($this->data->status == REVIEW_DISABLED): ?>
				<fieldset class="fleft mr5 mt5 w588 deleted">
					<? if (Cubix_Application::getId() == APP_6A || Cubix_Application::getId() == APP_EF): ?><div class="fs15"><strong><?= $DEFINITIONS['review_disable_types'][$this->data->disable_type] ?></strong></div><? endif; ?>
					<div class="fs15"><strong>Review disabled because of:</strong><span class="red"> <?= $this->data->disabled_reason ?></span></div>
				</fieldset>
			<?php endif; ?>
			
			<?php if ($c = $this->request()->c): ?>
				<?
				$c_desc = '';
				if ($c == 'c4')
				{
					if (Cubix_Application::getId() == 1)
						$cl = 'red';
					else
						$cl = 'pink';
					$c_desc = '<strong class="' . $cl . '">Suspicious member (' . $this->data->suspicious_reason . ')</strong>';
				}
				elseif ($c == 'c5')
				{
					if (Cubix_Application::getId() == 1)
						$cl = 'brown';
					else
						$cl = 'green';
					$c_desc = '<strong class="' . $cl . '">Trusted member (' . $this->data->trusted_reason . ')</strong>';
				}
				elseif ($c == 'c1')
				{
					if (Cubix_Application::getId() == 1)
						$cl = 'green';
					else
						$cl = 'red';
					$c_desc = '<strong class="' . $cl . '">New member</strong>';
				}
				elseif ($c == 'c2')
				{
					if (Cubix_Application::getId() == 1)
						$cl = 'blue';
					else
						$cl = 'red';
					$c_desc = '<strong class="' . $cl . '">All reviews for russian escorts</strong>';
				}
				elseif ($c == 'c3')
				{
					if (Cubix_Application::getId() == 1)
						$cl = 'pink';
					else
						$cl = 'red';
					$c_desc = '<strong class="' . $cl . '">Different cities (' . $this->request()->cities . ')</strong>';
				}
				?>
				<fieldset class="fleft mr5 mt5 w588 deleted">

					<div class="fs15">Colored Username: <?= $c_desc ?></div>
				</fieldset>
			<?php endif; ?>

			<fieldset class="fleft m5-5-0-0 w588">
				<div class="fs15">Member <strong><a href="#" id="r_member"><?= $this->data->username ?></a></strong> wrote a review about escort <strong><a href="#" id="r_escort"><?= $this->data->showname ?></a></strong>.</div>
				<div class="mt10">
					<div class="mr20 fleft mb5">Status: <strong<? if ($this->data->status == REVIEW_APPROVED): ?> class="green"<? endif; ?>><?= $DEFINITIONS['review_status_options'][$this->data->status] ?></strong></div>
					<div class="mr20 fleft mb5">SMS Unique Number: <strong><?= $this->data->sms_unique ?></strong></div>
					<div class="mr20 fleft mb5">
						IP:
						<strong>
							<?= $this->data->ip ? $this->geoip($this->data->ip) : '-' ?> 
							<? if ($this->dublCount > 0): ?>
								<a href="#" id="dubl">(<?= $this->dublCount ?>)</a>
							<? endif; ?>
						</strong>
					</div>
					<div class="fleft mb5">
						Escort Last IP:
						<strong>
							<?= $this->last_ip ? $this->geoip($this->last_ip) : '-' ?>
						</strong>
					</div>
					
					<div class="clear"></div>
				</div>

				<label for="e_is_fake_free" style="padding-left: 0; margin-top: 10px;">
					<input type="checkbox" name="is_fake_free" id="e_is_fake_free" value="1" <?php if ($this->data->is_fake_free): ?>checked="checked"<?php endif; ?> />
					<span>Fake free</span>
				</label>

				<ul class="p10-20 fleft">
					<li class="pb5">City: <strong><?= $this->data->city ?></strong></li>
					<li class="pb5">City is in escort profile: <strong><?= $this->data->city_is_in_escort_profile ? 'Yes' : 'No' ?></strong></li>
					<li class="pb5">Fuckometer: <strong><?= $this->data->fuckometer ?></strong></li>
				</ul>
				<ul class="p10-20 fleft">
					<li class="pb5">Meeting Date: <strong><?= $this->data->meeting_date ? date('d M, Y', $this->data->meeting_date) : '-' ?></strong></li>
					<li class="pb5">Creation Date: <strong><?= date('d M, Y H:i', $this->data->creation_date) ?></strong></li>
					<?php if ($this->data->last_modified): ?>
					<li class="pb5">Modification Date: <strong><?= $this->data->last_modified ? date('d M, Y', $this->data->last_modified) : '-' ?></strong></li>
					<?php endif; ?>
				</ul>
								
				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="meeting_rating">
			<fieldset class="fleft m5-5-0-0 w588">

                <legend for="review">Meeting And Rating</legend>
				<div class="inner mr40">
					<label for="place">Meeting Place</label>
					<select name="place" class="w16" id="place">
						<? foreach ( $DEFINITIONS['meeting_place_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->meeting_place == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner mr40">
					<label for="duration">Duration</label>
					<input class="txt w5" type="text" id="duration" name="duration" value="<?= $this->data->duration ?>" />
					<select name="duration_unit">
						<? foreach ( $DEFINITIONS['time_unit_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->duration_unit == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="inner">
					<label for="price">Costs</label>
					<input class="txt w5" type="text" id="price" name="price" value="<?= $this->data->price ?>" />
					
						<? if (in_array(Cubix_Application::getId(), array(APP_AE, APP_ED, APP_6B))):?>
							<select name="currency">
								<? foreach($this->currencies as $currency):?>
								<option value="<?= $currency->id ?>"  <?= $this->data->currency == $currency->id ? 'selected="selected"' : ''?> ><?= $currency->title ?></option>
								<? endforeach; ?>
							</select>
						<? else: ?>
							<select name="currency" disabled="disabled">
								<option value="2">EUR</option>
							</select>
						<? endif;?>
					
				</div>

				<div class="inner mr40">
					<label for="looks_rating">Looks</label>
					<select name="looks_rating" class="w5" id="looks_rating">
						<? for ( $i = 0; $i <= 10; $i = $i + 0.5 ): ?>
							<option value="<?= $i ?>" <?= ( $this->data->looks_rating == $i ) ? 'selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>

				<div class="inner">
					<label for="services_rating">Services</label>
					<select name="services_rating" class="w5" id="services_rating">
						<? for ( $i = 0; $i <= 10; $i = $i + 0.5 ): ?>
							<option value="<?= $i ?>" <?= ( $this->data->services_rating == $i ) ? 'selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>

				<div class="popup-ver-hr"></div>

				<div class="inner">
					<label for="sms_status">SMS Status</label>
					<select name="sms_status" class="w12" id="sms_status">
						<? foreach ( $DEFINITIONS['sms_status_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->sms_status == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="services">
			<fieldset class="fleft m5-5-0-0 w588">

                <legend for="review">Services</legend>
				<div class="inner review">
					<label for="kissing" class="review-services">Kissing</label>
					<select name="kissing" class="w16" id="kissing" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['kissing_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_kissing == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="blowjob" class="review-services">Blowjob</label>
					<select name="blowjob" class="w16" id="blowjob" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['blowjob_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_blowjob == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="cumshot" class="review-services">Cumshot</label>
					<select name="cumshot" class="w16" id="cumshot" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['cumshot_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_cumshot == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="69" class="review-services">69</label>
					<select name="s_69" class="w16" id="69" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_69 == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="anal" class="review-services">Anal</label>
					<select name="anal" class="w16" id="anal" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_anal == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="sex" class="review-services">Sex</label>
					<select name="sex" class="w16" id="sex" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['sex_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="attitude" class="review-services">Attitude</label>
					<select name="attitude" class="w16" id="attitude" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['attitude_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_attitude == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="conversation" class="review-services">Conversation</label>
					<select name="conversation" class="w16" id="conversation" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['conversation_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_conversation == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="breast" class="review-services">Breast</label>
					<select name="breast" class="w16" id="breast" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['breast_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_breast == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="multiple_times_sex" class="review-services">Multiple times sex</label>
					<select name="multiple_times_sex" class="w16" id="multiple_times_sex" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['mts_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_multiple_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="availability" class="review-services">Availability</label>
					<select name="availability" class="w16" id="availability" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['availability_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_availability == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<div class="inner review">
					<label for="photos" class="review-services">Photos</label>
					<select name="photos" class="w16" id="photos" style="float: left">
						<option value="">-</option>
						<? foreach ( $DEFINITIONS['photos_options'] as $k => $v ): ?>
							<option value="<?= $k ?>" <?= ( $this->data->s_photos == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>
                <?php if(Cubix_Application::getId() == APP_ED):?>
                        <div class="inner review">
                            <label for="quality" class="review-services">Quality/price</label>
                            <select name="quality" class="w16" id="quality" style="float: left">
                                    <option value=""> - </option>
                                    <? foreach (array('1'=>'Very good','2'=>'Good','3'=>'Ok','4'=>'Bad') as $key=> $price_status): ?>
                                        <option value="<?= $key ?>" <?= ($this->data->quality == $key) ? 'selected="selected"' : '' ?>><?= $price_status ?>&nbsp;&nbsp;</option>
                                    <? endforeach; ?>
                            </select>
                        </div>
                <?php endif;?>
				
				<div class="inner review">
					<label for="comments">Services Comments</label>
					<textarea class="txt w574 h4" name="services_comments" id="comments"><?= $this->data->services_comments ?></textarea>
				</div>
				<div class="clear"></div>
			</fieldset>
		</div>

		<div id="review">
			<fieldset class="fleft m5-5-0-0 w588">
				<legend for="review">Review</legend>
				<? if ($this->data->old_review): ?>
					<? $m = new Cubix_SimpleDiff(); ?>
					<fieldset>
						<div class="inner review">
							<div><?= $m->htmlDiff($this->data->old_review, $this->data->review); ?></div>
						</div>
					</fieldset>

					<fieldset class="mt10">
						<div class="inner review">
							<textarea class="txt w552 h15" name="review" id="review"><?= $this->data->review ?></textarea>
						</div>
					</fieldset>
				<? else: ?>
					<div class="inner review">
						<textarea class="txt w574 h15" name="review" id="review"><?= $this->data->review ?></textarea>
					</div>
				<? endif; ?>
				
				<div class="clear"></div>
			</fieldset>
		</div>
        <?php if(Cubix_Application::getId() == APP_ED):?>
                    <div id="review">
                        <fieldset class="fleft m5-5-0-0 w588">
                            <legend for="review">Location Review</legend>
                                <div class="inner review">
                                    <textarea class="txt w574 h15" name="location_review" id="location_review"><?= $this->data->location_review ?></textarea>
                                </div>
                            <div class="clear"></div>
                        </fieldset>
                    </div>
        <?php endif;?>

		<div id="add_info">
			<fieldset class="fleft m5-5-0-0 w588">
                <legend for="review">User Additional info</legend>
				
				<ul class="p10-20">
					<li class="pb5">User Info: <strong><?= $this->data->t_user_info ? $this->data->t_user_info : '-' ?></strong></li>
					<li class="pb5">Meeting Date: <strong><?= $this->data->t_meeting_date ? $this->data->t_meeting_date : '-' ?></strong></li>
					<li class="pb5">Meeting Place: <strong><?= $this->data->t_meeting_place ? $this->data->t_meeting_place : '-' ?></strong></li>
					<li class="pb5">Comments: <strong><?= $this->data->t_comments ? $this->data->t_comments : '-' ?></strong></li>
				</ul>
			</fieldset>
		</div>
		
		<div id="escort_comment">
			<fieldset class="fleft m5-5-0-0 w588">
                <legend for="escort_comment">Escort Comment</legend>
				
				<div class="inner review">
					<textarea class="txt w574 h15" name="escort_comment" id="escort_comment"><?= $this->data->escort_comment ?></textarea>
				</div>
			</fieldset>
		</div>

		<div class="clear"></div>
	</div>
</form>